package com.wmyun.module.system.service.pdf;

import com.wmyun.module.system.controller.admin.pdf.vo.PdfResultVO;
import org.apache.pdfbox.pdmodel.PDDocument;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public interface PdfSplitService {
    List<PdfResultVO> splitPdf(File sourceFile, String outputDir) throws IOException;

    void splitPdfByPages(File sourceFile, String outputDir, int startPage, int endPage) throws IOException;

    void splitAllPages(File sourceFile, String outputDir) throws IOException;
}
